Get System Integration
curl --request GET \
--url https://api.twine.se/v1/org/system-integrations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/system-integrations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/system-integrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"api_client_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"api_endpoint_url": "https://your-company.api.example.com/v1",
"domain_mappings": [
{
"enabled": true,
"from_domain": "employee",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"source_system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"target_system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"to_domain": "employee",
"all_conditions_must_apply": false,
"conditions": [
{
"apply_on_actions": [
"create"
],
"condition": {},
"domain": "employee",
"enabled": true,
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"description": "<string>"
}
],
"description": "Employees from the HR system into payroll",
"inserted_at": "2021-06-01T12:00:00Z",
"mode": "default",
"sync_triggers": [
{
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"cron_expression": "0 0 * * *",
"domain_configuration": {
"domain": "time_report",
"from_date": "2023-12-25",
"from_date_engine": {},
"to_date": "2023-12-25",
"to_date_engine": {}
},
"last_sync_ended_at": "2023-01-01T00:00:00Z",
"last_sync_started_at": "2023-01-01T00:00:00Z",
"next_sync_at": "2023-01-01T00:00:00Z",
"parent_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
}
],
"updated_at": "2021-06-01T12:00:00Z"
}
],
"external_org_id": "<string>",
"inserted_at": "2021-06-01T12:00:00Z",
"property_mappings": [
{
"common_domain": "employee",
"common_path": [
"salary_amount"
],
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_domain": "employee",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_path": [
"salaries",
"[]",
"amount"
],
"converters": [
{
"converter": "string_to_integer",
"pod_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
}
],
"enabled": true,
"engine": {
"domain": "employee",
"engine": {},
"version": "2",
"description": "This engine maps properties from one format to another."
},
"reference_domain": "employee",
"version": 2
}
],
"system": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"kind": "other",
"name": "Evity HR",
"slug": "twine",
"description": "The Spreadsheet integration lets Twine exchange employee data as spreadsheet files...",
"domains": [
{
"capability": "read",
"domain": "employee"
},
{
"capability": "write",
"domain": "time_report"
}
],
"logo_url": "https://example.com/logos/system-logo.png",
"status": "available"
},
"system_custom": {
"slug": "agda_file"
},
"updated_at": "2021-06-01T12:00:00Z"
}
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 500,
"errors": [],
"message": "Internal Server Error"
}SystemIntegrations
Get System Integration
Fetches a specific system integration by its ID
GET
/
v1
/
org
/
system-integrations
/
{id}
Get System Integration
Authorizations
Bearer token for authentication
Path Parameters
Query Parameters
Available options:
domain_mappings, sync_triggers, property_mappings Response
SystemIntegration response
A response object with a single system integration
An object representing a system integration in Twine.
Show child attributes
Show child attributes
⌘I